Loading...
Searching...
No Matches
XrdSsiEntity Class Reference

`#include <XrdSsiEntity.hh>`

Collaboration diagram for XrdSsiEntity:

## Public Member Functions

| XrdSsiEntity (const char *pName="")
| ~XrdSsiEntity ()

## Public Attributes

const char * | creds
| Raw client credentials or cert.
int | credslen
| Length of the 'creds' field.
const char * | endorsements
| Protocol specific endorsements.
const char * | grps
| Entity's group names.
const char * | host
| Entity's host name or address.
const char * | name
| Entity's name.
char | prot [XrdSsiPROTOIDSIZE]
| Protocol used.
const char * | role
| Entity's role.
int | rsvd
| Reserved field.
const char * | tident
| Trace identifier always preset.
const char * | vorg
| Entity's virtual organization.

## Detailed Description

Definition at line 43 of file XrdSsiEntity.hh.

## Constructor & Destructor Documentation

## XrdSsiEntity()

XrdSsiEntity::XrdSsiEntity | ( | const char * | pName = "" | ) |

inline

Definition at line 58 of file XrdSsiEntity.hh.

: name(0), host(0), vorg(0), role(0), grps(0),
endorsements(0), creds(0), credslen(0),
rsvd(0), tident("")
{memset(prot, 0, XrdSsiPROTOIDSIZE);
strncpy(prot, pName, XrdSsiPROTOIDSIZE-1);
prot[XrdSsiPROTOIDSIZE-1] = '\0';
}
XrdSsiPROTOIDSIZE
#define XrdSsiPROTOIDSIZE
Definition XrdSsiEntity.hh:41
XrdSsiEntity::rsvd
int rsvd
Reserved field.
Definition XrdSsiEntity.hh:55
XrdSsiEntity::creds
const char * creds
Raw client credentials or cert.
Definition XrdSsiEntity.hh:53
XrdSsiEntity::host
const char * host
Entity's host name or address.
Definition XrdSsiEntity.hh:48
XrdSsiEntity::tident
const char * tident
Trace identifier always preset.
Definition XrdSsiEntity.hh:56
XrdSsiEntity::name
const char * name
Entity's name.
Definition XrdSsiEntity.hh:47
XrdSsiEntity::role
const char * role
Entity's role.
Definition XrdSsiEntity.hh:50
XrdSsiEntity::prot
char prot[XrdSsiPROTOIDSIZE]
Protocol used.
Definition XrdSsiEntity.hh:46
XrdSsiEntity::credslen
int credslen
Length of the 'creds' field.
Definition XrdSsiEntity.hh:54
XrdSsiEntity::endorsements
const char * endorsements
Protocol specific endorsements.
Definition XrdSsiEntity.hh:52
XrdSsiEntity::vorg
const char * vorg
Entity's virtual organization.
Definition XrdSsiEntity.hh:49
XrdSsiEntity::grps
const char * grps
Entity's group names.
Definition XrdSsiEntity.hh:51

References creds, credslen, endorsements, grps, host, name, prot, role, rsvd, tident, vorg, and XrdSsiPROTOIDSIZE.

## ~XrdSsiEntity()

XrdSsiEntity::~XrdSsiEntity | ( |  | ) |

inline

Definition at line 66 of file XrdSsiEntity.hh.

{}

## Member Data Documentation

## creds

const char* XrdSsiEntity::creds

Raw client credentials or cert.

Definition at line 53 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## credslen

int XrdSsiEntity::credslen

Length of the 'creds' field.

Definition at line 54 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## endorsements

const char* XrdSsiEntity::endorsements

Protocol specific endorsements.

Definition at line 52 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## grps

const char* XrdSsiEntity::grps

Entity's group names.

Definition at line 51 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## host

const char* XrdSsiEntity::host

Entity's host name or address.

Definition at line 48 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## name

const char* XrdSsiEntity::name

Entity's name.

Definition at line 47 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## prot

char XrdSsiEntity::prot[XrdSsiPROTOIDSIZE]

Protocol used.

Definition at line 46 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## role

const char* XrdSsiEntity::role

Entity's role.

Definition at line 50 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## rsvd

int XrdSsiEntity::rsvd

Reserved field.

Definition at line 55 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## tident

const char* XrdSsiEntity::tident

Trace identifier always preset.

Definition at line 56 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

## vorg

const char* XrdSsiEntity::vorg

Entity's virtual organization.

Definition at line 49 of file XrdSsiEntity.hh.

Referenced by XrdSsiEntity().

The documentation for this class was generated from the following file:

- XrdSsiEntity.hh